INTERFACE
SUBROUTINE ACQWLSRTL ( KIDIA,KFDIA,KLON,KTDIA,KLEV,&
 & PQ5,PT5,PAPRSF5,PDELP5,&
 & PQ,PT,PAPRSF,PDELP,&
 & PFPLSL5,PFPLSN5,&
 & PFPLSL,PFPLSN,&
 & CDLOCK) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KLON
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KTDIA
REAL(KIND=JPRB) ,INTENT(IN) :: PQ5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PQ(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PT(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PAPRSF(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP(KLON,KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSL5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSN5(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSL(KLON,0:KLEV)
REAL(KIND=JPRB) ,INTENT(OUT) :: PFPLSN(KLON,0:KLEV)
CHARACTER(LEN=7) ,INTENT(IN) :: CDLOCK
END SUBROUTINE ACQWLSRTL
END INTERFACE
